<template>
  <div class="public-video">
    <span></span>
    <span></span>
    <span></span>
    <span></span>
    <div class="video-content">
      <video controls>
        <source src="movie.mp4" type="video/mp4">
        <source src="movie.ogg" type="video/ogg">
      </video>
    </div>
  </div>
</template>

<script>
export default {
  name: 'GasVideo'
}
</script>

<style scoped lang="less">

.public-video {
  position: relative;
  background-color: rgba(33, 41, 69, 0.9);

  .video-content {
    border: 1px solid #396d83;
    width: 2.5rem;
    height: 2.5rem;

    video {
      width: 100%;
      height: 100%;
      outline: none;
    }
  }
}

.public-video span {
  padding: 6px;
  border-style: solid;
  border-color: #02a6b5;
}

.public-video span:nth-child(1) {
  position: absolute;
  left: -1px;
  top: -1px;
  border-width: 1px 0 0 1px;
}

.public-video span:nth-child(2) {
  position: absolute;
  right: -1px;
  top: -1px;
  border-width: 1px 1px 0 0;
}

.public-video span:nth-child(3) {
  position: absolute;
  right: -1px;
  bottom: -1px;
  border-width: 0 1px 1px 0;
}

.public-video span:nth-child(4) {
  position: absolute;
  left: -1px;
  bottom: -1px;
  border-width: 0 0 1px 1px;
}
</style>
